> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Update a Record

> PUT /profiles/{profile_id}/pages/{page_id}/records/{record_id}



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page

- **record_id** (number)
  id of the record



### Body: application/json (object)

- **fields** (array)
  an array that contains record fields

- **fields.element_name: `inspector_name`** (string)
  must have either element_name or element_id set

- **fields.element_id** (number)

- **fields.value** (string)

- **fields.extension** (string)
  file extension, if applicable

- **fields.encoding** (string)
  must match "base64", "url"

- **device_id** (string)

- **javascript_state** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **id** (number)
  the updated record id



[Powered by Bump.sh](https://bump.sh)
